=== debian/changelog ===
graphite2 (1.3.12-1) unstable; urgency=medium

  * New upstream version 1.3.12

  * debian/patches/x32.diff: add patch from Thorsten Glaser to fix x32
    build (closes: #884190)

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Aug 2018 16:27:47 +0000
