=== debian/changelog ===
graphite2 (1.3.13-7) unstable; urgency=medium

  * revert debian/patches/revert-49fce465ae4ee921f81e9fb8270177c16849a3e9.diff
    sice whatever caused this is now apparently not needed anymore in testing
    or unstable; in contrast - the tests fail *with* that patch applied.

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Jan 2019 21:08:22 +0100

graphite2 (1.3.13-6) unstable; urgency=medium

  * upload to unstable

  * add autopkgtest running upstream make test

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Jan 2019 22:23:24 +0000

graphite2 (1.3.13-5) experimental; urgency=medium

  * install the (arch-indep) python module in the if clause where we also
    install the docs

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Jan 2019 19:14:24 +0000

graphite2 (1.3.13-4) experimental; urgency=medium

  * revert upstream 49fce465ae4ee921f81e9fb8270177c16849a3e9 (awamicmp1,2,3
    test json updates) to work around test failures (closes: #918685)

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Jan 2019 19:00:01 +0100

graphite2 (1.3.13-3) experimental; urgency=medium

  * move dh-python build-dep from Build-Depends-Indep to Build-Depends

 -- Rene Engelhard <rene@debian.org>  Fri, 04 Jan 2019 17:04:27 +0000

graphite2 (1.3.13-2) experimental; urgency=medium

  * add basic (superficial) import graphite2 test generated by autodep8
  * add missing build-dep on python3-all
  * update python-libgraphite-SONAME.diff to not use
    ctypes.util.find_library at all (thanks Julien Cristau)
  * fix clean for new python/graphite2/* files

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Dec 2018 19:56:35 +0000

graphite2 (1.3.13-1) experimental; urgency=medium

  * New upstream version 1.3.13
  * package (new) python module

 -- Rene Engelhard <rene@debian.org>  Thu, 20 Dec 2018 20:42:58 +0000
